#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoauth2
version:              2.7.0
visibility:           public
id:                   hoauth2-2.7.0-3JDRd0cuUnRLpMz44pC3bh
key:                  hoauth2-2.7.0-3JDRd0cuUnRLpMz44pC3bh
license:              MIT
copyright:            Haisheng Wu
maintainer:           Haisheng Wu <freizl@gmail.com>
author:               Haisheng Wu
stability:            Beta
homepage:             https://github.com/freizl/hoauth2
synopsis:             Haskell OAuth2 authentication client
description:
    Haskell OAuth2 authentication client.

    Tutorial <https://github.com/freizl/hoauth2/tree/main/hoauth2-tutorial/>

    Demo application <https://github.com/freizl/hoauth2-demo/tree/main/hoauth2-demo/>

category:             Network
abi:                  0b13d09f66bed5812d9c5e0099030085
exposed:              True
exposed-modules:
    Network.OAuth.OAuth2 Network.OAuth.OAuth2.AuthorizationRequest
    Network.OAuth.OAuth2.HttpClient Network.OAuth.OAuth2.TokenRequest
    Network.OAuth2.Experiment

hidden-modules:
    Network.OAuth.OAuth2.Internal Network.OAuth2.Experiment.Pkce
    Network.OAuth2.Experiment.Types Network.OAuth2.Experiment.Utils
    Paths_hoauth2

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoauth2-2.7.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoauth2-2.7.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hoauth2
hs-libraries:         HShoauth2-2.7.0-3JDRd0cuUnRLpMz44pC3bh
depends:
    aeson-2.1.2.1-JO9urWGr49o9eoGVjGK4co base-4.16.4.0
    base64-0.4.2.4-D3CFvX2brXX7gCLNQ1rm1g binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-J34eZ6pZSgL3nlE1kXUy5v
    data-default-0.7.1.1-KHhiQ7RPZneCNDFTFmFAYS exceptions-0.10.4
    http-conduit-2.3.9.1-30S6OoJ1FeD2MvUe3uWgOd
    http-types-0.12.4-J4MJPAeZ7F3zgM69e8a4n
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    microlens-0.4.13.1-HPplyG5VOciEIF62YegSgA text-1.2.5.0
    transformers-0.5.6.2 uri-bytestring-0.3.3.1-JGFOHvI446pAn0827JZSTU
    uri-bytestring-aeson-0.1.0.8-BMyGZS9s25gD4DiWB0O3Lz

haddock-interfaces:   /usr/share/doc/haskell-hoauth2/html/hoauth2.haddock
haddock-html:         /usr/share/doc/haskell-hoauth2/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

